petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMCompositeGatherArray

Gathers into a global packed vector from its individual local vectors

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeGatherArray(DM dm,Vec gvec,InsertMode imode,Vec *lvecs)

Collective on DMComposite Many br

### Input Parameter

| dm | - the packer object Many br
| gvec | - the global vector Many br
| imode | - INSERT_VALUES or ADD_VALUES Many br
| lvecs | - the individual sequential vectors, NULL for any that are not needed Many br

Many br

### Notes

This is a non-variadic alternative to DMCompositeGather(). Many br

### See Also

DMDestroy(), DMCompositeAddDM(), DMCreateGlobalVector(),
DMCompositeScatter(), DMCompositeCreate(), DMCompositeGetISLocalToGlobalMappings(), DMCompositeGetAccess(), Many brDMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors(), DMCompositeGetEntries(), Many br

Level:advanced
Location:src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages